控制拉伸、移动、旋转、缩放和镜像夹点模式的选择集夹点的显示。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。True 若要调整夹点的大小和光标在捕捉到夹点时使用的有效选择区域,请使用属性。GripSize 要调整选定或未选定夹点的颜色,请使用理论属性。GripColorSelectedGripColorUnselected 注意:此属性的值存储在 GRIPS 系统变量中。
例子工 务 局: Sub Example_DisplayGrips() ' This example reads and modifies the preference value that controls ' the display of selection set grips for the Stretch, Move, Rotate, ' Scale, and Mirror grip modes. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesSelection Dim originalValue As Variant, newValue As Variant ' Get the selection preferences object Set ACADPref = ThisDrawing.Application.Preferences.Selection ' Read and display the original value originalValue = ACADPref.DisplayGrips MsgBox "The DisplayGrips preference is set to: " & originalValue ' Modify the DisplayGrips preference by toggling the value ACADPref.DisplayGrips = Not (originalValue) newValue = ACADPref.DisplayGrips MsgBox "The DisplayGrips preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.DisplayGrips = originalValue MsgBox "The DisplayGrips preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_DisplayGrips() ;; This example reads and modifies the preference value that controls ;; the display of selection set grips for the Stretch, Move, Rotate, ;; Scale, and Mirror grip modes. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the selection preferences object (setq ACADPref (vla-get-Selection preferences)) ;; Read and display the original value (setq originalValue (vla-get-DisplayGrips ACADPref)) (alert (strcat "The DisplayGrips preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the DisplayGrips preference by toggling the value (vla-put-DisplayGrips ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-DisplayGrips ACADPref)) (alert (strcat "The DisplayGrips preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-DisplayGrips ACADPref originalValue) (alert (strcat "The DisplayGrips preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:19
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.